<?php
namespace DiviBooster\PhpCode;

class PhpCode {
	
	private $code;
	
	static function fromString($code) {
		return new self($code);
	}
	
	private function __construct($code) {
		$this->code = (string) $code;
	}
	
	public function output($allow_errors=false) {
		$code = $this->code;
		$this->error_clear_last();
		ob_start();

        // Convert notices into exceptions
        $previousErrorHandler = set_error_handler(function($severity, $message, $file, $line) {
            throw new \Exception($message, $severity);
        }, E_NOTICE);

		try {	
            if ($allow_errors) {
                eval($code);
            } else {
                @eval($code);
            }
			$error = null;
		} catch (\ParseError $err) {
			$error = $err->getMessage();
		} catch (\Exception $err) {
            $error = $err->getMessage();
        } finally {
            // Restore normal error handling
            set_error_handler($previousErrorHandler);
        }
		$result = ob_get_clean();
		if ($error) { throw new \ParseError($error); }
		$error = error_get_last();

		if (!empty($error['message'])) { 
			throw new \Exception($error['message']);
		}
		return $result;
	}
	
	// Backwards compatible version of PHP's error_clear_last()
	private function error_clear_last() {
		if (function_exists('error_clear_last')) { // PHP ^7.0
			error_clear_last();
		} else {
			@trigger_error("");
		}
	}
	
	public function __toString() {
		return (string) $this->code;
	}
}