<?php

// Ensure the et_pb_role_settings option exists, so that it can always be filtered
if (false === get_option('et_pb_role_settings')) {
    add_option( 'et_pb_role_settings', array());
}

add_filter('option_et_pb_role_settings', 'dbphp_disable_module_for_non_admin_roles');

function dbphp_disable_module_for_non_admin_roles($option) {

    $roles = array('administrator', 'editor', 'author', 'contributor'); 
    
    // Use Divi's role list, if available
    if (function_exists('et_pb_get_all_roles_list')) {
        $et_pb_roles = et_pb_get_all_roles_list();
        if (is_array($et_pb_roles)) {
          $roles = array_keys($et_pb_roles);
        }
    }

    // Set the 'et_pb_db_php_code' option to 'off' for all roles except administrator
    if (!is_array($option)) { 
        $option = array(); 
    }
    foreach($roles as $role) {
        if ($role === 'administrator') { 
            continue; 
        }
        if (!isset($option[$role]) || !is_array($option[$role])) { 
            $option[$role] = array(); 
        }
        if (!isset($option[$role]['et_pb_db_php_code'])) { 
            $option[$role]['et_pb_db_php_code'] = 'off'; 
        }
    }
    return $option;
}
